data:extend({
  {
    type = "boiler",
    name = "lantern",
    icon = "__IronLantern__/graphics/icons/lanternicon.png",
    flags = {"placeable-player", "player-creation"},
    minable = {hardness = 0.2, mining_time = 0.2, result = "lantern"},
	fast_replaceable_group = "torches",
    max_health = 45,
    corpse = "small-remnants",
    resistances = 
    {
      {
        type = "fire",
        percent = 80
      }
    },
    collision_box = {{-0.2, -0.2}, {0.2, 0.2}},
    selection_box = {{-0.3, -2.4}, {0.3, 0.3}},
	fluid_box =
    {
      base_area = 10.0,
      pipe_connections =
      {
        { position = {0, -0.8} },
 --       { position = {1, 0} },
 --       { position = {0, 1} },
 --       { position = {-1, 0} }
      },
	  --pipe_covers = pipecoverspictures(),
    },
    energy_consumption = "5kW",
    burner =
    {
      effectivity = 0.4,
      fuel_inventory_size = 1,
      emissions = 0.1 / 5,
      smoke =
      {
        {
          name = "smoke",
          deviation = {0, 0},
		  position = {0.1, -2.1},
          frequency = 0.5
        }
      }
    },
    structure =
    {
      left =
      {
        filename = "__IronLantern__/graphics/entity/lantern.png",
        priority = "extra-high",
        width = 120,
        height = 140,
		shift = {1.35,-0.55}
		},
      down =
      {
        filename = "__IronLantern__/graphics/entity/lantern.png",
        priority = "extra-high",
        width = 120,
        height = 140,
		shift = {1.35,-0.55}
		},
      left_down =
      {
        filename = "__IronLantern__/graphics/entity/lantern.png",
        priority = "extra-high",
        width = 120,
        height = 140,
		shift = {1.35,-0.55}
		},
      right_down =
      {
        filename = "__IronLantern__/graphics/entity/lantern.png",
        priority = "extra-high",
        width = 120,
        height = 140,
		shift = {1.35,-0.55}
		},
      left_up =
      {
        filename = "__IronLantern__/graphics/entity/lantern.png",
        priority = "extra-high",
        width = 120,
        height = 140,
		shift = {1.35,-0.55}
		},
      right_up =
      {
        filename = "__IronLantern__/graphics/entity/lantern.png",
        priority = "extra-high",
        width = 120,
        height = 140,
		shift = {1.35,-0.55}
		},
      t_down =
      {
        filename = "__IronLantern__/graphics/entity/lantern.png",
        priority = "extra-high",
        width = 120,
        height = 140,
		shift = {1.35,-0.55}
		
		},
      t_up =
      {
        filename = "__IronLantern__/graphics/entity/lantern.png",
        priority = "extra-high",
        width = 120,
        height = 140,
		shift = {1.35,-0.55}
      }
    },
    fire =
    {
      left =
      {
        filename = "__IronLantern__/graphics/entity/lanternfire3.png",
        priority = "extra-high",
        width = 5,
        height = 11,
		frame_count = 29,
				shift = { 0 , -1.9}
		},
      down =
      {
        filename = "__IronLantern__/graphics/entity/lanternfire3.png",
        priority = "extra-high",
        width = 5,
        height = 11,
		frame_count = 29,
				shift = { 0 , -1.9}
		},
      left_down =
      {
        filename = "__IronLantern__/graphics/entity/lanternfire3.png",
        priority = "extra-high",
        width = 5,
        height = 11,
		frame_count = 29,
				shift = { 0 , -1.9}
		},
      right_down =
      {
        filename = "__IronLantern__/graphics/entity/lanternfire3.png",
        priority = "extra-high",
        width = 5,
        height = 11,
		frame_count = 29,
				shift = { 0 , -1.9}
		},
      left_up =
      {
        filename = "__IronLantern__/graphics/entity/lanternfire3.png",
        priority = "extra-high",
        width = 5,
        height = 11,
		frame_count = 29,
				shift = { 0 , -1.9}
		},
      right_up =
      {
        filename = "__IronLantern__/graphics/entity/lanternfire3.png",
        priority = "extra-high",
        width = 5,
        height = 11,
		frame_count = 29,
				shift = { 0 , -1.9}
		},
      t_down =
      {
        filename = "__IronLantern__/graphics/entity/lanternfire3.png",
        priority = "extra-high",
        width = 5,
        height = 11,
		frame_count = 29,
				shift = { 0 , -1.9}
		},
      t_up =
      {
        filename = "__IronLantern__/graphics/entity/lanternfire3.png",
        priority = "extra-high",
        width = 5,
        height = 11,
		frame_count = 29,
		shift = { 0 , -1.9}
		}
    },
    burning_cooldown = 20,
    pictures = pipepictures()
  },



  {
    type = "lamp",
    name = "lanternlight",
	icon = "__IronLantern__/graphics/icons/lanternicon.png",
    flags = {"placeable-neutral","player-creation", "placeable-off-grid", "not-on-map"},
    minable = {hardness = 0.2, mining_time = 0.5, result = "lantern"},
    max_health = 55,
    corpse = "small-remnants",
    collision_box = {{-0.0, -0.0}, {0.0, 0.0}},
    selection_box = {{-0.0, -0.0}, {0.0, 0.0}},
    energy_source =
    {
      type = "electric",
      usage_priority = "secondary-input"
    },
    energy_usage_per_tick = "8KW",
    light = {intensity = 0.8, size = 32, color = {r=0, g=0, b=0, a=0}},
    picture_off =
    {
      filename = "__IronLantern__/graphics/entity/blank.png",
      priority = "high",
      width = 15,
      height = 15,
      shift = {-0, -0.6}
    },
    picture_on =
    {
      filename = "__IronLantern__/graphics/entity/blank.png",
      priority = "high",
      width = 15,
      height = 15,	  
      shift = {-0, -0.6}
    }
  },
  

  {
    type = "generator",
    name = "lanternpower",
    icon = "__IronLantern__/graphics/icons/lanternicon.png",
    flags = {"placeable-neutral","player-creation", "placeable-off-grid", "not-on-map"},
    minable = {mining_time = 1, result = "lantern"},
    max_health = 300,
    corpse = "small-remnants",
    effectivity = 1.1,
    fluid_usage_per_tick = 0.001,
    resistances = 
    {
      {
        type = "fire",
        percent = 70
      }
    },
	fast_replaceable_group =  "steam-engine",
    collision_box = {{-0.1, -0.1}, {0.1, 0.1}},
    selection_box = {{0, -0}, {0, 0}},
    fluid_box =
    {
      base_area = 1,
      pipe_connections =
      {
        { position = {0, 0.8} }
      },
	  --pipe_covers = pipecoverspictures(),
    },
    energy_source =
    {
      type = "electric",
      usage_priority = "secondary-output"
    },
    horizontal_animation =
    {
      filename = "__IronLantern__/graphics/entity/blank.png",
      width = 50,
      height = 50,
      frame_count = 1,
      line_length = 8,
      shift = {1.34, -0.06}
    },
    vertical_animation =
    {
      filename = "__IronLantern__/graphics/entity/blank.png",
      width = 60,
      height = 60,
      frame_count = 1,
      line_length = 8,
      shift = {0.812, 0.031}
    },
    smoke =
    {
      {
        name = "smoke",
        north_position = {0, -1.3},
        east_position = {0, -1.3},
        deviation = {0, 0},
        frequency = 0.001,
        starting_vertical_speed = 0
      }
    },
    working_sound =
    {
      sound =
      {
        filename = "__base__/sound/steam-engine-90bpm.ogg",
        volume = 0
      },
      match_speed_to_activity = true,
    },
    min_perceived_performance = 0.25,
    performance_to_sound_speedup = 0.5
  },
  
  
 
  {
    type = "electric-pole",
    name = "lanternpole",
    icon = "__IronLantern__/graphics/icons/lanternicon.png",
    flags = {"placeable-neutral", "player-creation", "placeable-off-grid", "not-on-map"},
    minable = {hardness = 0.2, mining_time = 0.5, result = "lantern"},
    max_health = 150,
    corpse = "medium-remnants",
    resistances = 
    {
      {
        type = "fire",
        percent = 100
      }
    },
    collision_box = {{-0.0,-0.0}, {0.0,0.0}},
    selection_box = {{0,0}, {0,0}},
    --drawing_box = {{-0.0,-0.0}, {0.0,0.0}},
    maximum_wire_distance = 0,
    supply_area_distance = 0.5,
    pictures =
    {
      filename = "__IronLantern__/graphics/entity/blank.png",
      priority = "extra-high",
      width = 12,
      height = 12,
      axially_symmetrical = false,
      direction_count = 4,
      shift = {0, 0}
    },
    connection_points =
    {
      {
        shadow =
        {
          copper = {2.7, 0},
          green = {1.8, 0},
          red = {3.6, 0}
        },
        wire =
        {
          copper = {0, -3.1},
          green = {-0.6,-3.1},
          red = {0.6,-3.1}
        }
      },
      {
        shadow =
        {
          copper = {3.1, 0.2},
          green = {2.3, -0.3},
          red = {3.8, 0.6}
        },
        wire =
        {
          copper = {-0.08, -3.15},
          green = {-0.55, -3.5},
          red = {0.3, -2.87}
        }
      },
      {
        shadow =
        {
          copper = {2.9, 0.06},
          green = {3.0, -0.6},
          red = {3.0, 0.8}
        },
        wire =
        {
          copper = {-0.1, -3.1},
          green = {-0.1, -3.55},
          red = {-0.1, -2.8}
        }
      },
      {
        shadow =
        {
          copper = {3.1, 0.2},
          green = {3.8, -0.3},
          red = {2.35, 0.6}
        },
        wire =
        {
          copper = {0, -3.25},
          green = {0.45, -3.55},
          red = {-0.54, -3.0}
        }
      }
    },
    copper_wire_picture =
    {
      filename = "__base__/graphics/entity/small-electric-pole/copper-wire.png",
      priority = "extra-high-no-scale",
      width = 224,
      height = 46
    },
    green_wire_picture =
    {
      filename = "__base__/graphics/entity/small-electric-pole/green-wire.png",
      priority = "extra-high-no-scale",
      width = 224,
      height = 46
    },
    radius_visualisation_picture =
    {
      filename = "__IronLantern__/graphics/entity/blank.png",
      width = 12,
      height = 12
    },
    red_wire_picture =
    {
      filename = "__base__/graphics/entity/small-electric-pole/red-wire.png",
      priority = "extra-high-no-scale",
      width = 224,
      height = 46
    },
    wire_shadow_picture =
    {
      filename = "__base__/graphics/entity/small-electric-pole/wire-shadow.png",
      priority = "extra-high-no-scale",
      width = 224,
      height = 46
    }
  },
}
)
